=== modified file 'bzrlib/tests/__init__.py'
--- bzrlib/tests/__init__.py	2005-12-06 05:16:16 +0000
+++ bzrlib/tests/__init__.py	2005-12-06 05:19:43 +0000
@@ -26,6 +26,7 @@
 import tempfile
 import unittest
 import time
+import codecs
 
 import bzrlib.branch
 import bzrlib.commands
@@ -253,7 +254,8 @@
         The file is removed as the test is torn down.
         """
         fileno, name = tempfile.mkstemp(suffix='.log', prefix='testbzr')
-        self._log_file = os.fdopen(fileno, 'w+')
+        encoder, decoder, stream_reader, stream_writer = codecs.lookup('UTF-8')
+        self._log_file = stream_writer(os.fdopen(fileno, 'w+'))
         bzrlib.trace.enable_test_log(self._log_file)
         self._log_file_name = name
         self.addCleanup(self._finishLogFile)

=== modified file 'bzrlib/trace.py'
--- bzrlib/trace.py	2005-11-30 15:15:17 +0000
+++ bzrlib/trace.py	2005-12-06 05:19:43 +0000
@@ -94,8 +94,6 @@
     else:
         out = fmt
     out += '\n'
-    if isinstance(out, unicode):
-        out = out.encode('utf-8')
     _trace_file.write(out)
 debug = mutter
 

